Fedora 33/32/31 NVIDIA Drivers Install Guide - Comment Page: 111

This is guide, howto install NVIDIA proprietary drivers on Fedora 33/32/31/30/29 and disable Nouveau driver. This guide works with GeForce 8/9/200/300/400/500/600/700/800/900/10/20/30 series cards. GeForce RTX 30 series cards works with 460.xx NVIDIA drivers, (RTX 3090, RTX 3080 and RTX 3070) GeForce RTX 20 series cards works with 450.xx and 460.xx NVIDIA drivers (RTX 2080 Ti, RTX 2080, RTX 2070 Ti, RTX 2070, RTX 2060) GeForce GT/GTX 600/700/800/900/10 series cards works with 390.xx, 450.xx and 460.xx NVIDIA drivers (GTX 1080 Ti, GTX 1080, GTX 1070, GTX 1060, GTX 1660 ...) GeForce GT/GTX 400/500 series cards works with 390.xx NVIDIA drivers GeForce GT 8/9/200/300 series...

2,908 comments on “Fedora 33/32/31 NVIDIA Drivers Install Guide - Comment Page: 111

1 109 110 111 112 113
    1. Installation ok
      Thanks

      nvidia-installer: version 455.38

      Linux linux.home 5.8.16-100.fc31.x86_64 #1 SMP Mon Oct 19 14:16:07 UTC 2020 x86_64

      00:02.0 VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04)
      01:00.0 3D controller: NVIDIA Corporation GP107M [GeForce GTX 1050 Mobile] (rev a1)

      Reply
    2. [j ~]$ nvidia-installer -v |grep version
      nvidia-installer: version 455.38
      [j-FED ~]$ uname -a
      Linux Jim-FED 5.8.16-300.fc33.x86_64 #1 SMP Mon Oct 19 13:18:33 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
      [j ~]$ lspci |grep -E “VGA|3D”
      26:00.0 VGA compatible controller: NVIDIA Corporation TU116 [GeForce GTX 1660 Ti] (rev a1)
      [j~]$

      Reply
    3. Thanks! Successfully installed on Fedora 33

      [[email protected] ~]# nvidia-installer -v |grep version
      nvidia-installer: version 455.38
      [[email protected] ~]# uname -a
      Linux localhost.localdomain 5.8.17-300.fc33.x86_64 #1 SMP Thu Oct 29 15:55:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
      [[email protected] ~]# lspci |grep -E “VGA|3D”
      29:00.0 VGA compatible controller: NVIDIA Corporation GK208B [GeForce GT 710] (rev a1)

      Reply
    4. Success, thank you!
      Nvidia installer 450.80.02
      Linux 5.8.17-200.fc32.x86_64
      GeForce RTX 2070 SUPER

      Reply
    5. Hi,
      there are some problems using 390 Driver with new kernel 5.9, shipped with the last update of Fedora 33.

      Reply
      • Hello Marco,

        Thanks for this information, I will check this soon.

        Reply
    6. do we have this patch for kernel version 5.9?

      Reply
      • Yes and no, it’s easy patch to working with kernel 5.9, but the real problem is it’s distribution and it’s legality. To get it work, it requires changes on licenses. It’s of course possible that NVIDIA offer some real solution to this.

        Reply
    7. Hi,

      your work is very usefull ; this time I have a 5.9.8-100.fc32 kernel-core on update.
      It seems there is no patch for NVIDIA-Linux-x86_64-340.108 , not yet.

      Work in progress ?

      Rm *

      Reply
    8. Hello, thank you very much for your great service. Do you have any patch for kernel 5.9 for the NVIDIA 390.138 drivers on Fedora 32?

      Best regards, Gustavo

      Reply
    9. Success!
      nvidia-installer -v |grep version
      nvidia-installer: version 455.45.01
      uname -a
      Linux new-host-4 5.9.8-100.fc32.x86_64 #1 SMP Tue Nov 10 22:39:06 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
      lspci |grep -E “VGA | 3D”
      0a:00.0 VGA compatible controller: NVIDIA Corporation GM204 [GeForce GTX 970] (rev a1)

      Thanks for the guide :)

      Reply
    10. worked very well.

      Tks man.

      the output:

      nvidia-installer: version 450.80.02

      Linux samsung-gustavo 5.9.8-100.fc32.x86_64 #1 SMP Tue Nov 10 22:39:06 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

      00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
      01:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 920MX] (rev a2)

      Reply
      • Thanks Andrew,

        I’m just coding a little bash script to download and patch NVIDIA 340.108, 390.138, 418.113 and 435.21. Situation with 5.9 kernel is bit different, because only modules with GPL license are accepted so only way to get NVIDIA LEGACY drivers working is patch kernel to accept other modules or change module licenses to GPL. It’s somewhat questionable to change module license example from NVIDIA to GPL and share full installer package (some discussion about this https://forum.manjaro.org/t/the-end-of-nvidia-proprietary-drivers-on-linux/15325 and https://bbs.archlinux.org/viewtopic.php?id=259936). Many other distro forums too. With download + patching script it’s only patch which is available publicly anyways (example here https://gitlab.com/EULA/snippets/-/blob/master/NVIDIA/390.138/license.patch) and it’s easy to anyone make, just grep all LICENSE rows and change license to GPL.

        I think that ARCH Linux patched their kernel to allow other modules too or their current nvidia packages works only with old LTS kernels, because licenses are untouched and users reports it’s working.

        Reply
    11. Thank you for this set of instructions. :)

      Reply
    12. Working on FC33 Workstation “Gnome” with kernel 5.9.8 Nvidia340

      Reply
    13. Hi,

      (my previous post seems to be not published ?)
      I thinke it’s too soon to get the pathced version as told :

      Note 340.108 users… (Download inttf NVIDIA patcher and patch NVIDIA-Linux-x86_64-340.108 for Kernel 5.9+).

      le file is not present (20201123 9h40 (Paris)
      Or did I miss something ?

      Rm *

      Reply
1 109 110 111 112 113

Leave a Reply to Dan Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close